unit schPedidosProveedorServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schPedidosProveedorClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_PedidosProveedorDelta = '{A3B064B9-1DFC-4AB4-A055-FD4AD89963E6}';
  RID_PedidosProveedor_DetallesDelta = '{367B9400-34D6-4A7B-9850-9E44FC0869F1}';
  RID_PedidosProveedor_RefreshDelta = '{CEE50D75-C1B9-4EB4-A6BE-F0649DEE708C}';

type
  { IPedidosProveedorDelta }
  IPedidosProveedorDelta = interface(IPedidosProveedor)
  ['{A3B064B9-1DFC-4AB4-A055-FD4AD89963E6}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_PROVEEDORValue : Integer;
    function GetOldID_MONTAJEValue : Integer;
    function GetOldUSUARIOValue : String;
    function GetOldFECHA_PEDIDOValue : DateTime;
    function GetOldFECHA_CONFIRMACIONValue : DateTime;
    function GetOldFECHA_ENTREGAValue : DateTime;
    function GetOldSITUACIONValue : String;
    function GetOldDIRECCION_ENTREGAValue : IROStrings;
    function GetOldREFERENCIAValue : String;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldINCIDENCIASValue : IROStrings;
    function GetOldINCIDENCIAS_ACTIVASValue : Integer;
    function GetOldOBSERVACIONESValue : IROStrings;
    function GetOldNOMBREValue : String;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldFECHA_PEDIDO : DateTime read GetOldFECHA_PEDIDOValue;
    property OldFECHA_CONFIRMACION : DateTime read GetOldFECHA_CONFIRMACIONValue;
    property OldFECHA_ENTREGA : DateTime read GetOldFECHA_ENTREGAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldDIRECCION_ENTREGA : IROStrings read GetOldDIRECCION_ENTREGAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldINCIDENCIAS : IROStrings read GetOldINCIDENCIASValue;
    property OldINCIDENCIAS_ACTIVAS : Integer read GetOldINCIDENCIAS_ACTIVASValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
  end;

  { TPedidosProveedorBusinessProcessorRules }
  TPedidosProveedorBusinessProcessorRules = class(TDABusinessProcessorRules, IPedidosProveedor, IPedidosProveedorDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    function GetOldID_PROVEEDORValue: Integer; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    function GetOldID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHA_PEDIDOValue: DateTime; virtual;
    function GetOldFECHA_PEDIDOValue: DateTime; virtual;
    procedure SetFECHA_PEDIDOValue(const aValue: DateTime); virtual;
    function GetFECHA_CONFIRMACIONValue: DateTime; virtual;
    function GetOldFECHA_CONFIRMACIONValue: DateTime; virtual;
    procedure SetFECHA_CONFIRMACIONValue(const aValue: DateTime); virtual;
    function GetFECHA_ENTREGAValue: DateTime; virtual;
    function GetOldFECHA_ENTREGAValue: DateTime; virtual;
    procedure SetFECHA_ENTREGAValue(const aValue: DateTime); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetDIRECCION_ENTREGAValue: IROStrings; virtual;
    function GetOldDIRECCION_ENTREGAValue: IROStrings; virtual;
    procedure SetDIRECCION_ENTREGAValue(const aValue: IROStrings); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetINCIDENCIASValue: IROStrings; virtual;
    function GetOldINCIDENCIASValue: IROStrings; virtual;
    procedure SetINCIDENCIASValue(const aValue: IROStrings); virtual;
    function GetINCIDENCIAS_ACTIVASValue: Integer; virtual;
    function GetOldINCIDENCIAS_ACTIVASValue: Integer; virtual;
    procedure SetINCIDENCIAS_ACTIVASValue(const aValue: Integer); virtual;
    function GetOBSERVACIONESValue: IROStrings; virtual;
    function GetOldOBSERVACIONESValue: IROStrings; virtual;
    procedure SetOBSERVACIONESValue(const aValue: IROStrings); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_PROVEEDOR : Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property ID_MONTAJE : Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property FECHA_PEDIDO : DateTime read GetFECHA_PEDIDOValue write SetFECHA_PEDIDOValue;
    property OldFECHA_PEDIDO : DateTime read GetOldFECHA_PEDIDOValue;
    property FECHA_CONFIRMACION : DateTime read GetFECHA_CONFIRMACIONValue write SetFECHA_CONFIRMACIONValue;
    property OldFECHA_CONFIRMACION : DateTime read GetOldFECHA_CONFIRMACIONValue;
    property FECHA_ENTREGA : DateTime read GetFECHA_ENTREGAValue write SetFECHA_ENTREGAValue;
    property OldFECHA_ENTREGA : DateTime read GetOldFECHA_ENTREGAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property DIRECCION_ENTREGA : IROStrings read GetDIRECCION_ENTREGAValue write SetDIRECCION_ENTREGAValue;
    property OldDIRECCION_ENTREGA : IROStrings read GetOldDIRECCION_ENTREGAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property INCIDENCIAS : IROStrings read GetINCIDENCIASValue write SetINCIDENCIASValue;
    property OldINCIDENCIAS : IROStrings read GetOldINCIDENCIASValue;
    property INCIDENCIAS_ACTIVAS : Integer read GetINCIDENCIAS_ACTIVASValue write SetINCIDENCIAS_ACTIVASValue;
    property OldINCIDENCIAS_ACTIVAS : Integer read GetOldINCIDENCIAS_ACTIVASValue;
    property OBSERVACIONES : IROStrings read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IPedidosProveedor_DetallesDelta }
  IPedidosProveedor_DetallesDelta = interface(IPedidosProveedor_Detalles)
  ['{367B9400-34D6-4A7B-9850-9E44FC0869F1}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_PEDIDOValue : Integer;
    function GetOldPOSICIONValue : Integer;
    function GetOldTIPO_DETALLEValue : String;
    function GetOldREFERENCIAValue : String;
    function GetOldCONCEPTOValue : String;
    function GetOldCANTIDADValue : Integer;
    function GetOldIMPORTE_UNIDADValue : Float;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldVISIBLEValue : Integer;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_PEDIDO : Integer read GetOldID_PEDIDOValue;
    property OldPOSICION : Integer read GetOldPOSICIONValue;
    property OldTIPO_DETALLE : String read GetOldTIPO_DETALLEValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldCONCEPTO : String read GetOldCONCEPTOValue;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property OldIMPORTE_UNIDAD : Float read GetOldIMPORTE_UNIDADValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldVISIBLE : Integer read GetOldVISIBLEValue;
  end;

  { TPedidosProveedor_DetallesBusinessProcessorRules }
  TPedidosProveedor_DetallesBusinessProcessorRules = class(TDABusinessProcessorRules, IPedidosProveedor_Detalles, IPedidosProveedor_DetallesDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_PEDIDOValue: Integer; virtual;
    function GetOldID_PEDIDOValue: Integer; virtual;
    procedure SetID_PEDIDOValue(const aValue: Integer); virtual;
    function GetPOSICIONValue: Integer; virtual;
    function GetOldPOSICIONValue: Integer; virtual;
    procedure SetPOSICIONValue(const aValue: Integer); virtual;
    function GetTIPO_DETALLEValue: String; virtual;
    function GetOldTIPO_DETALLEValue: String; virtual;
    procedure SetTIPO_DETALLEValue(const aValue: String); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetCONCEPTOValue: String; virtual;
    function GetOldCONCEPTOValue: String; virtual;
    procedure SetCONCEPTOValue(const aValue: String); virtual;
    function GetCANTIDADValue: Integer; virtual;
    function GetOldCANTIDADValue: Integer; virtual;
    procedure SetCANTIDADValue(const aValue: Integer); virtual;
    function GetIMPORTE_UNIDADValue: Float; virtual;
    function GetOldIMPORTE_UNIDADValue: Float; virtual;
    procedure SetIMPORTE_UNIDADValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetVISIBLEValue: Integer; virtual;
    function GetOldVISIBLEValue: Integer; virtual;
    procedure SetVISIBLEValue(const aValue: Integer); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_PEDIDO : Integer read GetID_PEDIDOValue write SetID_PEDIDOValue;
    property OldID_PEDIDO : Integer read GetOldID_PEDIDOValue;
    property POSICION : Integer read GetPOSICIONValue write SetPOSICIONValue;
    property OldPOSICION : Integer read GetOldPOSICIONValue;
    property TIPO_DETALLE : String read GetTIPO_DETALLEValue write SetTIPO_DETALLEValue;
    property OldTIPO_DETALLE : String read GetOldTIPO_DETALLEValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property CONCEPTO : String read GetCONCEPTOValue write SetCONCEPTOValue;
    property OldCONCEPTO : String read GetOldCONCEPTOValue;
    property CANTIDAD : Integer read GetCANTIDADValue write SetCANTIDADValue;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property IMPORTE_UNIDAD : Float read GetIMPORTE_UNIDADValue write SetIMPORTE_UNIDADValue;
    property OldIMPORTE_UNIDAD : Float read GetOldIMPORTE_UNIDADValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property VISIBLE : Integer read GetVISIBLEValue write SetVISIBLEValue;
    property OldVISIBLE : Integer read GetOldVISIBLEValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IPedidosProveedor_RefreshDelta }
  IPedidosProveedor_RefreshDelta = interface(IPedidosProveedor_Refresh)
  ['{CEE50D75-C1B9-4EB4-A6BE-F0649DEE708C}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_PROVEEDORValue : Integer;
    function GetOldID_MONTAJEValue : Integer;
    function GetOldUSUARIOValue : String;
    function GetOldFECHA_PEDIDOValue : DateTime;
    function GetOldFECHA_CONFIRMACIONValue : DateTime;
    function GetOldFECHA_ENTREGAValue : DateTime;
    function GetOldSITUACIONValue : String;
    function GetOldDIRECCION_ENTREGAValue : IROStrings;
    function GetOldREFERENCIAValue : String;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldINCIDENCIASValue : IROStrings;
    function GetOldINCIDENCIAS_ACTIVASValue : Integer;
    function GetOldOBSERVACIONESValue : IROStrings;
    function GetOldNOMBREValue : String;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldFECHA_PEDIDO : DateTime read GetOldFECHA_PEDIDOValue;
    property OldFECHA_CONFIRMACION : DateTime read GetOldFECHA_CONFIRMACIONValue;
    property OldFECHA_ENTREGA : DateTime read GetOldFECHA_ENTREGAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldDIRECCION_ENTREGA : IROStrings read GetOldDIRECCION_ENTREGAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldINCIDENCIAS : IROStrings read GetOldINCIDENCIASValue;
    property OldINCIDENCIAS_ACTIVAS : Integer read GetOldINCIDENCIAS_ACTIVASValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
  end;

  { TPedidosProveedor_RefreshBusinessProcessorRules }
  TPedidosProveedor_RefreshBusinessProcessorRules = class(TDABusinessProcessorRules, IPedidosProveedor_Refresh, IPedidosProveedor_RefreshDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    function GetOldID_PROVEEDORValue: Integer; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    function GetOldID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHA_PEDIDOValue: DateTime; virtual;
    function GetOldFECHA_PEDIDOValue: DateTime; virtual;
    procedure SetFECHA_PEDIDOValue(const aValue: DateTime); virtual;
    function GetFECHA_CONFIRMACIONValue: DateTime; virtual;
    function GetOldFECHA_CONFIRMACIONValue: DateTime; virtual;
    procedure SetFECHA_CONFIRMACIONValue(const aValue: DateTime); virtual;
    function GetFECHA_ENTREGAValue: DateTime; virtual;
    function GetOldFECHA_ENTREGAValue: DateTime; virtual;
    procedure SetFECHA_ENTREGAValue(const aValue: DateTime); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetDIRECCION_ENTREGAValue: IROStrings; virtual;
    function GetOldDIRECCION_ENTREGAValue: IROStrings; virtual;
    procedure SetDIRECCION_ENTREGAValue(const aValue: IROStrings); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetINCIDENCIASValue: IROStrings; virtual;
    function GetOldINCIDENCIASValue: IROStrings; virtual;
    procedure SetINCIDENCIASValue(const aValue: IROStrings); virtual;
    function GetINCIDENCIAS_ACTIVASValue: Integer; virtual;
    function GetOldINCIDENCIAS_ACTIVASValue: Integer; virtual;
    procedure SetINCIDENCIAS_ACTIVASValue(const aValue: Integer); virtual;
    function GetOBSERVACIONESValue: IROStrings; virtual;
    function GetOldOBSERVACIONESValue: IROStrings; virtual;
    procedure SetOBSERVACIONESValue(const aValue: IROStrings); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_PROVEEDOR : Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property ID_MONTAJE : Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property OldID_MONTAJE : Integer read GetOldID_MONTAJEValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property FECHA_PEDIDO : DateTime read GetFECHA_PEDIDOValue write SetFECHA_PEDIDOValue;
    property OldFECHA_PEDIDO : DateTime read GetOldFECHA_PEDIDOValue;
    property FECHA_CONFIRMACION : DateTime read GetFECHA_CONFIRMACIONValue write SetFECHA_CONFIRMACIONValue;
    property OldFECHA_CONFIRMACION : DateTime read GetOldFECHA_CONFIRMACIONValue;
    property FECHA_ENTREGA : DateTime read GetFECHA_ENTREGAValue write SetFECHA_ENTREGAValue;
    property OldFECHA_ENTREGA : DateTime read GetOldFECHA_ENTREGAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property DIRECCION_ENTREGA : IROStrings read GetDIRECCION_ENTREGAValue write SetDIRECCION_ENTREGAValue;
    property OldDIRECCION_ENTREGA : IROStrings read GetOldDIRECCION_ENTREGAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property INCIDENCIAS : IROStrings read GetINCIDENCIASValue write SetINCIDENCIASValue;
    property OldINCIDENCIAS : IROStrings read GetOldINCIDENCIASValue;
    property INCIDENCIAS_ACTIVAS : Integer read GetINCIDENCIAS_ACTIVASValue write SetINCIDENCIAS_ACTIVASValue;
    property OldINCIDENCIAS_ACTIVAS : Integer read GetOldINCIDENCIAS_ACTIVASValue;
    property OBSERVACIONES : IROStrings read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TPedidosProveedorBusinessProcessorRules }
constructor TPedidosProveedorBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TPedidosProveedorBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TPedidosProveedorBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorID];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorID];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorID] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorID_EMPRESA];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorID_EMPRESA];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorID_EMPRESA] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorID_PROVEEDOR];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorID_PROVEEDOR];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorID_PROVEEDOR] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorID_MONTAJE];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorID_MONTAJE];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorID_MONTAJE] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorUSUARIO];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorUSUARIO];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorUSUARIO] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetFECHA_PEDIDOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorFECHA_PEDIDO];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldFECHA_PEDIDOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorFECHA_PEDIDO];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetFECHA_PEDIDOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorFECHA_PEDIDO] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetFECHA_CONFIRMACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorFECHA_CONFIRMACION];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldFECHA_CONFIRMACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorFECHA_CONFIRMACION];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetFECHA_CONFIRMACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorFECHA_CONFIRMACION] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetFECHA_ENTREGAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorFECHA_ENTREGA];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldFECHA_ENTREGAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorFECHA_ENTREGA];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetFECHA_ENTREGAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorFECHA_ENTREGA] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorSITUACION];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorSITUACION];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorSITUACION] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetDIRECCION_ENTREGAValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorDIRECCION_ENTREGA];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldDIRECCION_ENTREGAValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorDIRECCION_ENTREGA];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetDIRECCION_ENTREGAValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorDIRECCION_ENTREGA] := aValue.Text;
end;

function TPedidosProveedorBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorREFERENCIA];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorREFERENCIA];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorREFERENCIA] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorIMPORTE_TOTAL];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorIMPORTE_TOTAL];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorIMPORTE_TOTAL] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetINCIDENCIASValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorINCIDENCIAS];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldINCIDENCIASValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorINCIDENCIAS];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetINCIDENCIASValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorINCIDENCIAS] := aValue.Text;
end;

function TPedidosProveedorBusinessProcessorRules.GetINCIDENCIAS_ACTIVASValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorINCIDENCIAS_ACTIVAS];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldINCIDENCIAS_ACTIVASValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorINCIDENCIAS_ACTIVAS];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetINCIDENCIAS_ACTIVASValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorINCIDENCIAS_ACTIVAS] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorOBSERVACIONES];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorOBSERVACIONES];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetOBSERVACIONESValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorOBSERVACIONES] := aValue.Text;
end;

function TPedidosProveedorBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorNOMBRE];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorNOMBRE];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorNOMBRE] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorFECHA_ALTA];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorFECHA_ALTA];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorFECHA_ALTA] := aValue;
end;

function TPedidosProveedorBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorFECHA_MODIFICACION];
end;

function TPedidosProveedorBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedorFECHA_MODIFICACION];
end;

procedure TPedidosProveedorBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedorFECHA_MODIFICACION] := aValue;
end;


{ TPedidosProveedor_DetallesBusinessProcessorRules }
constructor TPedidosProveedor_DetallesBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TPedidosProveedor_DetallesBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesID];
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_DetallesID];
end;

procedure TPedidosProveedor_DetallesBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesID] := aValue;
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetID_PEDIDOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesID_PEDIDO];
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetOldID_PEDIDOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_DetallesID_PEDIDO];
end;

procedure TPedidosProveedor_DetallesBusinessProcessorRules.SetID_PEDIDOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesID_PEDIDO] := aValue;
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetPOSICIONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesPOSICION];
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetOldPOSICIONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_DetallesPOSICION];
end;

procedure TPedidosProveedor_DetallesBusinessProcessorRules.SetPOSICIONValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesPOSICION] := aValue;
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetTIPO_DETALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesTIPO_DETALLE];
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetOldTIPO_DETALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_DetallesTIPO_DETALLE];
end;

procedure TPedidosProveedor_DetallesBusinessProcessorRules.SetTIPO_DETALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesTIPO_DETALLE] := aValue;
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesREFERENCIA];
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_DetallesREFERENCIA];
end;

procedure TPedidosProveedor_DetallesBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesREFERENCIA] := aValue;
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetCONCEPTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesCONCEPTO];
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetOldCONCEPTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_DetallesCONCEPTO];
end;

procedure TPedidosProveedor_DetallesBusinessProcessorRules.SetCONCEPTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesCONCEPTO] := aValue;
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesCANTIDAD];
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetOldCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_DetallesCANTIDAD];
end;

procedure TPedidosProveedor_DetallesBusinessProcessorRules.SetCANTIDADValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesCANTIDAD] := aValue;
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetIMPORTE_UNIDADValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesIMPORTE_UNIDAD];
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetOldIMPORTE_UNIDADValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_DetallesIMPORTE_UNIDAD];
end;

procedure TPedidosProveedor_DetallesBusinessProcessorRules.SetIMPORTE_UNIDADValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesIMPORTE_UNIDAD] := aValue;
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesIMPORTE_TOTAL];
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_DetallesIMPORTE_TOTAL];
end;

procedure TPedidosProveedor_DetallesBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesIMPORTE_TOTAL] := aValue;
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetVISIBLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesVISIBLE];
end;

function TPedidosProveedor_DetallesBusinessProcessorRules.GetOldVISIBLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_DetallesVISIBLE];
end;

procedure TPedidosProveedor_DetallesBusinessProcessorRules.SetVISIBLEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_DetallesVISIBLE] := aValue;
end;


{ TPedidosProveedor_RefreshBusinessProcessorRules }
constructor TPedidosProveedor_RefreshBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TPedidosProveedor_RefreshBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshID];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshID];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshID] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshID_EMPRESA];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshID_EMPRESA];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshID_EMPRESA] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshID_PROVEEDOR];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshID_PROVEEDOR];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshID_PROVEEDOR] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshID_MONTAJE];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldID_MONTAJEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshID_MONTAJE];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshID_MONTAJE] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshUSUARIO];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshUSUARIO];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshUSUARIO] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetFECHA_PEDIDOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshFECHA_PEDIDO];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldFECHA_PEDIDOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshFECHA_PEDIDO];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetFECHA_PEDIDOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshFECHA_PEDIDO] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetFECHA_CONFIRMACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshFECHA_CONFIRMACION];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldFECHA_CONFIRMACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshFECHA_CONFIRMACION];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetFECHA_CONFIRMACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshFECHA_CONFIRMACION] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetFECHA_ENTREGAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshFECHA_ENTREGA];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldFECHA_ENTREGAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshFECHA_ENTREGA];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetFECHA_ENTREGAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshFECHA_ENTREGA] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshSITUACION];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshSITUACION];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshSITUACION] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetDIRECCION_ENTREGAValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshDIRECCION_ENTREGA];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldDIRECCION_ENTREGAValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshDIRECCION_ENTREGA];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetDIRECCION_ENTREGAValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshDIRECCION_ENTREGA] := aValue.Text;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshREFERENCIA];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshREFERENCIA];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshREFERENCIA] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshIMPORTE_TOTAL];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshIMPORTE_TOTAL];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshIMPORTE_TOTAL] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetINCIDENCIASValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshINCIDENCIAS];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldINCIDENCIASValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshINCIDENCIAS];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetINCIDENCIASValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshINCIDENCIAS] := aValue.Text;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetINCIDENCIAS_ACTIVASValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshINCIDENCIAS_ACTIVAS];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldINCIDENCIAS_ACTIVASValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshINCIDENCIAS_ACTIVAS];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetINCIDENCIAS_ACTIVASValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshINCIDENCIAS_ACTIVAS] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshOBSERVACIONES];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshOBSERVACIONES];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetOBSERVACIONESValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshOBSERVACIONES] := aValue.Text;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshNOMBRE];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshNOMBRE];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshNOMBRE] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshFECHA_ALTA];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshFECHA_ALTA];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshFECHA_ALTA] := aValue;
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshFECHA_MODIFICACION];
end;

function TPedidosProveedor_RefreshBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PedidosProveedor_RefreshFECHA_MODIFICACION];
end;

procedure TPedidosProveedor_RefreshBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PedidosProveedor_RefreshFECHA_MODIFICACION] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_PedidosProveedorDelta, TPedidosProveedorBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_PedidosProveedor_DetallesDelta, TPedidosProveedor_DetallesBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_PedidosProveedor_RefreshDelta, TPedidosProveedor_RefreshBusinessProcessorRules);

end.
